import React from 'react'
import TopThree from './TopThree'
import styles from './RankList.less'
function numFied(value) {
  if (value > 10000) {
    return (value / 10000).toFixed(1) + 'w';
  }
  return value;
}
const RankList = ({ currentTypeUnit, list, firstUserInfo, secondUserInfo, thirdUserInfo, NativeHook }) => {

  const goUserPage = (userId) => {
    NativeHook.go.profile({ userId })
  }
  return (
    <div>
      <TopThree
        currentTypeUnit={currentTypeUnit}
        firstUserInfo={firstUserInfo}
        secondUserInfo={secondUserInfo}
        thirdUserInfo={thirdUserInfo}
        NativeHook={NativeHook}
      />
      <div className={styles['list-wrap']}>
        {
          list && list.map((item) => (
            <div key={item.userId} className={styles['list-item-wrap']} onClick={() => goUserPage(item.userId)}>
              <div className={styles['item-rankno']}>{item.rankNo}</div>
              <div className={styles['item-right']}>
                <div className={styles['item-avatar']}><img src={item.userAvatar} alt="" /></div>
                <div className={styles['item-user-info']}>
                  <h4 className={styles['item-user-name']}>{item.userName}</h4>
                  <div className={styles['item-user-data']}>
                    {
                      item.diffAmount != -1 ? <span>距上一名：{numFied(item.diffAmount)}</span> : null
                    }
                    {/* <span>{currentTypeUnit}</span> */}
                  </div>
                </div>
              </div>
            </div>
          ))
        }
      </div>
    </div>
  )
}
export default RankList
