/**
 * 
 * 排行榜 前三名
 */
import styles from './TopThree.less'
import firstBg from '../assets/icon_first.png'
import secondBg from '../assets/icon_second.png'
import thirdBg from '../assets/icon_third.png'
function numFied(value) {
  if (value > 10000) {
    return (value / 10000).toFixed(1) + 'w';
  }
  return value;
}
export default ({ currentTypeUnit, firstUserInfo = {}, secondUserInfo = {}, thirdUserInfo = {}, NativeHook }) => {
  const goUserPage = (userId) => {
    NativeHook.go.profile({ userId })
  }
  return (
    <div className={styles['wrap']}>
      <div className={styles['first-wrap']} hidden={!firstUserInfo || !firstUserInfo.userId} onClick={() => goUserPage(firstUserInfo.userId)}>
        <div className={styles['first-avatar']}>
          <img className={styles['first-avatar-bg']} src={firstBg} alt="" />
          <img className={styles['first-user-avatar']} src={firstUserInfo.userAvatar} alt="" />
        </div>
        <div className={styles['user-info']}>
          <h3 className='line-1'>{firstUserInfo.userName}</h3>
          {/* <p className='line-1'>{firstUserInfo.amount} {currentTypeUnit}</p> */}
        </div>
      </div>
      <div className={styles['second-wrap']} hidden={!secondUserInfo || !secondUserInfo.userId} onClick={() => goUserPage(secondUserInfo.userId)}>
        <div className={styles['second-avatar']}>
          <img className={styles['second-avatar-bg']} src={secondBg} alt="" />
          <img className={styles['second-user-avatar']} src={secondUserInfo.userAvatar} alt="" />
        </div>
        <div className={styles['user-info']}>
          <h3 className='line-1'>{secondUserInfo.userName}</h3>
          {
            secondUserInfo.diffAmount != -1 ? <p className='line-1'>距上一名：{numFied(secondUserInfo.diffAmount)}</p> : null
          }
        </div>
      </div>
      <div className={styles['third-wrap']} hidden={!thirdUserInfo || !thirdUserInfo.userId} onClick={() => goUserPage(thirdUserInfo.userId)}>
        <div className={styles['third-avatar']}>
          <img className={styles['third-avatar-bg']} src={thirdBg} alt="" />
          <img className={styles['third-user-avatar']} src={thirdUserInfo.userAvatar} alt="" />
        </div>
        <div className={styles['user-info']}>
          <h3 className='line-1'>{thirdUserInfo.userName}</h3>
          {
            thirdUserInfo.diffAmount != -1 ? <p className='line-1'>距上一名：{numFied(thirdUserInfo.diffAmount)}</p> : null
          }
        </div>
      </div>
    </div>
  )
}
