/**
 * 
 * 更多
 */
import React from 'react'
import { PageWrap } from './components'
import styles from './PageMore.less'
import iconBack from '@/assets/icon_back.png'
import iconRight from '@/assets/icon_right.png'
import titleMore from './assets/title_more.png'
import router from 'umi/router'

const list = [
  {path: '/travel/ranks', name: '排行榜'},
  {path: '/travel/records', name: '旅行记录'},
  {path: '/travel/rules', name: '旅行规则'},
  {path: '/travel/gifts', name: '奖品清单'},
]
class PageMore extends React.Component {
  constructor (props) {
    super(props)
    const { activityId, lotteryId } = props.location.query
    this.state = {
      lotteryId,
      activityId
    }
  }
  goBack = () => {
    router.goBack()
  }
  goItem = item => () => {
    const { lotteryId, activityId } = this.state
    router.push({
      pathname: item.path,
      query: {
        lotteryId, activityId
      }
    })
  }
  render () {
    return (
      <PageWrap
        header={<img src={titleMore} />}
      >
        <div className={styles['wrap']}>
          <div className={styles['header-wrap']}>
            <img src={iconBack} alt="" onClick={this.goBack} />
          </div>
          <div className={styles['list-wrap']}>
            {
              list && list.map((item) => (
                <div key={item.path} className={styles['list-item']} onClick={this.goItem(item)}>
                  <span>{item.name}</span>
                  <img src={iconRight} alt=""/>
                </div>
              ))
            }
          </div>
        </div>
      </PageWrap>
    )
  }
}
export default PageMore
