/**
 * 
 * 旅行规则
 */
import React, { useCallback } from 'react'
import styles from './TravelRules.less'
import { PageWrap } from './components'
import titleRules from './assets/title_rules.png'
import iconBack from '@/assets/icon_back.png'
import router from 'umi/router'
export default () => {
  const goBack = useCallback(() => {
    router.goBack()
  }, [true])
  return (
    <PageWrap
      header={<img src={titleRules} />}
    >
      <div className={styles['wrap']}>
        <div className={styles['header-wrap']}>
          <img src={iconBack} alt="" onClick={goBack} />
        </div>
        <div className={styles['content-box']}>
          <h3>太空旅行说明</h3>
          <div>1、太空旅行获得的系统赠送的礼物发放到背 包,点击送礼物面板即可查看。</div>
          <div>2、每次太空旅行100%获得系统赠送的礼物,并有机会爆出额外奖品 </div>
          <div>3、未成年人在芥末语音平台赠送礼物的行为 均视为其家长或监护人的认可,对未成年人在 我平台赠送礼物的行为及其所产生的一切后果由未成年人的家长或者监护人承担。 </div>
          <div>
            4、太空旅行获得的礼物仅供娱乐,不可反向 兑换成金币、现金及其他有价值商品,
              不得用 于任何形式的盈利活动;芥末语音平台禁止并 
              严厉打击任何形式的线下交易、礼物收购等第三方不正当行为,不保障所有通过线下交易销售或购买的金币及礼物道具,用户需自行承担任何不利后果。 
          </div>
          <div>5、对免责声明的解释、修改及更新权均属于 平台所有。 </div>
          <div>6、本活动与 Apple Inc.无关</div>
        </div>  
      </div>
    </PageWrap>
  )
}
