import { stringify } from 'qs';
import request from '@/utils/request';
import NativeHook from '@/utils/NativeHook'

// 获取活动抽奖信息
// export const getLottery = () => {
//   NativeHook.call.getData({
//     api: '/api-app/v1/activity/getLottery',
//     params: {},
//     isDialogShow: false
//   }, (res) => {
//     if (res.success) {
//       const walletItems = res.data.walletItems || []
//       let balance = 0
//     }
//   })
// }

// 抽奖活动 -- 奖品清单
export const getRewardItem = (params) => new Promise((resolve, reject) => {
  NativeHook.call.getData({
    api: '/api-app/v1/activity/getRewardItem',
    params,
    isDialogShow: false
  }, (res) => {
    resolve(res)
  })
})

// 抽奖活动 -- 活动详情
// 参数： lotteryId
export const getLottery = (params) => new Promise((resolve, reject) => {
  NativeHook.call.getData({
    api: '/api-app/v1/activity/getLottery',
    params,
    isDialogShow: false
  }, (res) => {
    resolve(res)
  })
})

// 抽奖活动 -- 抽奖
export const lottery = (params) => new Promise((resolve, reject) => {
  NativeHook.call.postData({
    api: '/api-app/v1/activity/lottery',
    params,
    isDialogShow: false
  }, (res) => {
    resolve(res)
  })
})

// 抽奖活动 -- 中奖记录
export const getActivityRewardList = (params) => new Promise((resolve, reject) => {
  NativeHook.call.getData({
    api: '/api-app/v1/activity/getActivityRewardList',
    params,
    isDialogShow: false
  }, (res) => {
    resolve(res)
  })
})


// 我的钱包 -- 获取余额
export const getUserWallet = (params) => new Promise((resolve, reject) => {
  NativeHook.call.getData({
    api: '/api-app/v1/wallet/getUserWallet',
    params,
    isDialogShow: false
  }, (res) => {
    resolve(res)
  })
})

// 抽奖活动排行榜
export const getLotteryRankList = (params) => new Promise((resolve, reject) => {
  NativeHook.call.getData({
    api: '/api-app/v1/activity/getLotteryRewardRankList',
    params,
    isDialogShow: false
  }, (res) => {
    resolve(res)
  })
})

// 发送短信验证码
export const sendSmsCode = async (body) => {
  return request(`/api-common/v1/login/sendSmsCode`, {
    method: 'POST',
    body
  })
}

// 发送验证码登录
export const bySmsCode = async (body) => {
  return request(`api-common/v1/login/bySmsCode`, {
    method: 'POST',
    body
  })
}
