/**
 * 调用本地方法
 */
import { isAndroid, isApp } from './base'

export const jumpToNative = ({
  androidType,
  androidParams,
  iosParams,
  fail
}) => { 
  // 不在app中直接返回
  if (!isApp()) {
    return
  }
  try {
    if (isAndroid()) {
      // android
      window.android.jumpToAndroid(androidType, androidParams)
    } else {
      // ios
      window.webkit.messageHandlers.jsToAppAction.postMessage(iosParams);
    }
  } catch (e) {
    console.log(e)
    fail && fail(e)
  }
}

// 
export const jumpToBlock = ({ 
  blockId, blockName = ''
} = {}) => {
  jumpToNative({
    androidType: 1000,
    androidParams: [blockId, blockName],
    iosParams: {
      type: 1000,
      blockId,
      blockName
    }
  })
}

